org.keycloak.provider

## Interface Spi

- All Known Implementing Classes:
    AccountSpi, ActionTokenHandlerSpi, ActionTokenStoreSpi, ArtifactResolverSpi, AuthenticationChannelSpi, AuthenticationSessionSpi, AuthenticatorSpi, AuthorizationSpi, BruteForceProtectorSpi, CachedStoreFactorySpi, CacheRealmProviderSpi, CacheUserProviderSpi, CekManagementSpi, CIBALoginUserResolverSpi, ClientAuthenticatorSpi, ClientDescriptionConverterSpi, ClientInstallationSpi, ClientPolicyConditionSpi, ClientPolicyExecutorSpi, ClientRegistrationPolicySpi, ClientRegistrationSpi, ClientScopeSpi, ClientScopeStorageProviderSpi, ClientSignatureVerifierSpi, ClientSpi, ClientStorageProviderSpi, ClientValidationSPI, ClusterSpi, CodeToTokenStoreSpi, ComponentFactorySpi, ContentEncryptionSpi, CredentialSpi, DBLockSpi, EmailSenderSpi, EmailTemplateSpi, EventListenerSpi, EventStoreSpi, ExceptionConverterSpi, ExecutorsSpi, ExportSpi, FormActionSpi, FormAuthenticatorSpi, GroupSpi, GroupStorageProviderSpi, HashSpi, HostnameSpi, HttpClientSpi, IdentityProviderMapperSpi, IdentityProviderSpi, ImportSpi, InfinispanConnectionSpi, JpaConnectionSpi, JpaEntitySpi, JpaUpdaterSpi, KeySpi, LDAPStorageMapperSpi, LiquibaseConnectionSpi, LocaleSelectorSPI, LocaleUpdaterSPI, LoginFormsSpi, LoginProtocolSpi, MapStorageSpi, MigrationSpi, OAuth2DeviceTokenStoreSpi, OAuth2DeviceUserCodeSpi, OIDCExtSPI, PasswordHashSpi, PasswordPolicyManagerSpi, PasswordPolicySpi, PolicySpi, ProtocolMapperSpi, PublicKeyStorageSpi, RealmResourceSPI, RealmSpi, RequiredActionSpi, ResourceEncodingSpi, RoleSpi, RoleStorageProviderSpi, SamlArtifactSessionMappingStoreSpi, SamlAuthenticationPreprocessorSpi, ScriptingSpi, SecurityHeadersSpi, ServerInfoSpi, SignatureSpi, SingleUseTokenStoreSpi, SocialProviderSpi, StickySessionEncoderSpi, StoreFactorySpi, ThemeResourceSpi, ThemeSelectorSpi, ThemeSpi, TimerSpi, TokenIntrospectionSpi, TokenRevocationStoreSpi, TransactionManagerLookupSpi, TruststoreSpi, UserFederatedStorageProviderSpi, UserLoginFailureSpi, UserProfileSpi, UserSessionPersisterSpi, UserSessionSpi, UserSpi, UserStorageProviderSpi, VaultSpi, WellKnownSpi, X509ClientCertificateLookupSpi

      public interface Spi

  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Class<? extends Provider>` | `getProviderClass()`
    `Class<? extends ProviderFactory>` | `getProviderFactoryClass()`
    `boolean` | `isInternal()`

- - ### Method Detail

    - #### isInternal

          boolean isInternal()

    - #### getName

          String getName()

    - #### getProviderClass

          Class<? extends Provider> getProviderClass()

    - #### getProviderFactoryClass

          Class<? extends ProviderFactory> getProviderFactoryClass()

Copyright © 2021 JBoss by Red Hat. All rights reserved.